Bug 203976 - "Bad pte" when runnig Oracle 10g XE in domU
"Bad pte" when runnig Oracle 10g XE in domU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 15:21 EDT by Waclaw Sierek
Modified: 2009-12-14 15:39 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 09:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Waclaw Sierek 2006-08-24 15:21:52 EDT
Core Duo T2500 laptop (ThinkPad T60)
xen-3.0.2-3.FC5
domU: FC5 running 2.6.17-1.2174_FC5xenU
dom0: FC5 running 2.6.17-1.2174_FC5xen0

Oracle Database 10g Express Universal Edition
installed from RPM oracle-xe-univ-10.2.0.1-1.0

works ok in dom0, but when trying to run in domU, kernel reports

Aug 24 19:31:46 oraXen kernel: Bad pte = 006780a0, process = oracle, vm_flags =
70, vaddr = b7f23000
Aug 24 19:31:46 oraXen kernel:  <c04473bf> vm_normal_page+0x99/0xb5  <c0447b57>
unmap_vmas+0x1f1/0x5be
Aug 24 19:31:46 oraXen kernel:  <c044311a> __pagevec_lru_add_active+0x119/0x12b
 <c044b2b7> unmap_region+0x8f/0xff
Aug 24 19:31:46 oraXen kernel:  <c044bd64> do_munmap+0x15b/0x1b3  <c044cd3b>
do_mmap_pgoff+0x2b7/0x657
Aug 24 19:31:46 oraXen kernel:  <c04090e8> sys_mmap2+0x7d/0xa6  <c0404ba7>
syscall_call+0x7/0xb
Aug 24 19:31:46 oraXen kernel: Bad pte = 006780a0, process = oracle, vm_flags =
70, vaddr = b7f24000
Aug 24 19:31:46 oraXen kernel:  <c04473bf> vm_normal_page+0x99/0xb5  <c0447b57>
unmap_vmas+0x1f1/0x5be
Aug 24 19:31:46 oraXen kernel:  <c044b2b7> unmap_region+0x8f/0xff  <c044bd64>
do_munmap+0x15b/0x1b3
Aug 24 19:31:46 oraXen kernel:  <c044cd3b> do_mmap_pgoff+0x2b7/0x657  <c04090e8>
sys_mmap2+0x7d/0xa6
Aug 24 19:31:46 oraXen kernel:  <c0404ba7> syscall_call+0x7/0xb

...
and goes on with host of "Bad pte" entries, until I stop oracle.
The process does not die by itself.
Comment 1 Ean J. Price 2006-10-08 08:36:49 EDT
I'm having the same issue in Oracle Standard Edition on FC5 2.6.17-1.2187_FC5xenU.
Comment 2 Stephen Tweedie 2007-03-16 10:49:19 EDT
Is this using a PV or FV domU?  Can you reproduce on current kernels?
Comment 3 Waclaw Sierek 2007-04-14 19:52:41 EDT
I was PV domain.
I'm runnig it fine on recent FC6 kernels.
Comment 4 Red Hat Bugzilla 2007-07-24 21:32:56 EDT
change QA contact
Comment 5 Chris Lalancette 2007-09-25 09:00:37 EDT
FC5 is now end-of-life, and it seems that this bug is OK on FC6 or later.  If
this bug re-surfaces on a later version, please re-open.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.